/******************************************************************************/
/*   Copyright (C) 2005 K. Vasudevan. Indian Institute of Technology Kanpur.  */
/*   All Rights Reserved.                                                     */
/******************************************************************************/
/******************************************************************************/
#include "deal4type.h"
#include "deal4ext.h"
/******************************************************************************/
int Post_Processor()
{
 Get_Parameters();
 Print_Parameters();
 return(0);
}
/******************************************************************************/
/*                        Compute various parameters.
*******************************************************************************/
int Get_Parameters()
{
 Tim_Var=Tim_Var/(double)(MAX_FRAMES*RX_SAMP_PER_SYM*RX_SAMP_PER_SYM);
 Tim_Var_2=Tim_Var_2/(double)(MAX_FRAMES*RX_SAMP_PER_SYM*RX_SAMP_PER_SYM);
 Tim_Var_3=Tim_Var_3/(double)(MAX_FRAMES*RX_SAMP_PER_SYM*RX_SAMP_PER_SYM);
 F_Off_RMS=sqrt(F_Off_RMS/(double)MAX_FRAMES);
 F_Off_RMS_2=sqrt(F_Off_RMS_2/(double)MAX_FRAMES);
 F_Off_RMS_3=sqrt(F_Off_RMS_3/(double)MAX_FRAMES);
 return(0);
}
/******************************************************************************/
/*                        Print various parameters.
*******************************************************************************/
int Print_Parameters()
{
 printf("\t 1st attempt RMS freq. est. error is: %16.12lf.\n",F_Off_RMS);
 printf("\t 2nd attempt RMS freq. est. error is: %16.12lf.\n",F_Off_RMS_2);
 printf("\t 3rd attempt RMS freq. est. error is: %16.12lf.\n\n",F_Off_RMS_3);
 printf("\t 1st attempt max. freq. est. error is: %lf.\n",Max_F_Off_Err);
 printf("\t 2nd attempt max. freq. est. error is: %lf.\n",Max_F_Off_Err_2);
 printf("\t 3rd attempt max. freq. est. error is: %lf.\n\n",Max_F_Off_Err_3);
 printf("\t No. of bit errors is: %d.\n",Ber);
 printf("\t No. of valid bits is: %d.\n\n",Valid_Bit);
 printf("\t No. of frame erasures is: %d.\n",Erasure);
 printf("\t No. of tx. frames is: %d.\n\n",MAX_FRAMES);
 printf("\t 1st attempt Var. of tim. error: %16.12lf * T.\n",Tim_Var);
 printf("\t 2nd attempt Var. of tim. error: %16.12lf * T.\n",Tim_Var_2);
 printf("\t 3rd attempt Var. of tim. error: %16.12lf * T.\n",Tim_Var_3);
 return(0);
}
/******************************************************************************/
